package com.example.stimulusStrategy;

import android.app.Notification;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.IBinder;
import android.support.annotation.Nullable;



/**
 * Created by pharmacy on 09/01/2018.
 */

public class Accelerometer extends Service implements StimulusStrategy, SensorEventListener {

    private SensorManager mSensorManager;
    private Sensor accl;
   //private Context context;

    @Override
    public void onCreate(){
        mSensorManager = (SensorManager) this.getSystemService(Context.SENSOR_SERVICE);
        accl = mSensorManager.getDefaultSensor(Sensor.TYPE_ACCELEROMETER);
        //Parameters to be set here such as delay etc.
        //Does data streaming/listening need to be set up? If so here
    }

   /* public Accelerometer(Context context){
        this.context = context;

    }*/

    public void monitor() {
        Intent i = new Intent(this, Notification.class);
        this.sendBroadcast(i);
    }


    @Override
    public void onSensorChanged(SensorEvent event) {
        monitor();
    }

    @Override
    public void onAccuracyChanged(Sensor sensor, int i) {

    }


    @Nullable
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }
}
